@echo off
echo.
echo.
echo.
echo ############### BITTE WARTEN Rufus WIRD GESTARTET ################
ping /n 3 localhost >nul
cd Rufus_2.6
call rufus-2.6.exe
cls
echo.
echo.
echo.
echo.
echo.
echo ------------------------------------------------------------------
echo --------------- Bitte weiter mit beliegbiger Taste ---------------
echo ------------------------------------------------------------------
pause >nul
cls
echo.
echo.
echo Diese Laufwerke existieren:
echo -------------------------------------------------
rem echo.
wmic logicaldisk get deviceid, volumename, description
echo.
set /p lw=Bitte USB Laufwersbuchstaben eingeben:
cls

rem hier muss das Betriebsystem des PC's angegeben, auf dem die Anwendung läuft.
echo.
echo -----   Welches Betriebsystem wird auf ihrem Arbeitsrechner verwendet   ----
echo ------------------   Bitte waehlen Sie das Betriebssystem  -----------------
echo ------------------------------- ihrers PCs aus -----------------------------
echo ----------------------------------------------------------------------------
echo -------------------------  Windoes 32 Bit/X86: 1   -------------------------
echo -------------------------  Windoes 64 Bit/X64: 2   -------------------------
echo.
set /p os=Bitte Betriebssystem waehlen:
echo.
echo.
cls
if %os%==1 goto win32
if %os%==2 goto win64
goto FEHLER2


rem hier wird mit der 32Bit Funktion gearbeitet -----------------------------------------------------------
:win32
cd..
cd win32
if exist syslinux.exe goto weiter32
goto FEHLER

:weiter32
echo ------------   Erstelle bootbaren USB Stick   ------------
syslinux.exe -m -a -f -d Linux %lw%:
ping /n 6 localhost >nul
cls
echo.
echo --------------   Bitte warten Daten werden kopiert   --------------
@md %lw%:\Linux
@md %lw%:\VIPAclone
cd..
cd copy_folders
@copy "Linux\*.*" "%lw%:\Linux"
@copy "VIPAclone\*.*" "%lw%:\VIPAclone"
cls
echo.
echo.
echo.
echo.
echo ----------------------------------------------------------
echo ------------------   USB Stick fertig   ------------------
echo ------------- Programm beendet sich selbst   -------------
echo ----------------------------------------------------------
ping /n 5 localhost >nul
goto ENDE

rem hier wird mit der 64Bit Funktion gearbeitet -----------------------------------------------------------
:win64
cd..
cd win64
if exist syslinux64.exe goto weiter64
goto FEHLER

:weiter64
echo ------------   Erstelle bootbaren USB Stick   ------------
syslinux64.exe -m -a -f -d Linux %lw%:
ping /n 6 localhost >nul
cls
echo.
echo --------------   Bitte warten Daten werden kopiert   --------------
@md %lw%:\Linux
@md %lw%:\VIPAclone
cd..
cd copy_folders
@copy "Linux\*.*" "%lw%:\Linux"
@copy "VIPAclone\*.*" "%lw%:\VIPAclone"
cls
echo.
echo.
echo.
echo.
echo ----------------------------------------------------------
echo ------------------   USB Stick fertig   ------------------
echo ------------- Programm beendet sich selbst   -------------
echo ----------------------------------------------------------
ping /n 5 localhost >nul
goto ENDE


:FEHLER
cls
echo.
echo.
echo.
echo -----------------   -----------------   -----------------
echo Die Datei syslinux64 existier in diesem Verzeichnis nicht!
echo Beliebige Taste druecken und USB_bootanble.bat neu starten
echo -----------------   -----------------   -----------------
pause >nul
exit

cls
echo.
echo.
echo.
echo -----------------   -----------------   -----------------
echo Eingabe falsch, %os% ist keine gueltige Zahl fuer Auswahl!
echo Beliebige Taste druecken und USB_bootanble.bat neu starten
echo -----------------   -----------------   -----------------
pause >nul
exit

:ENDE